explain_chroot_or_die(3)

NAME
explain_chroot_or_die - change root directory and report errors

SYNOPSIS
#include <libexplain/chroot.h>

void explain_chroot_or_die(const char *pathname);
int explain_chroot_on_error(const char *pathname))

DESCRIPTION
The explain_chroot_or_die function is used to call the chroot(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_chroot(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_chroot_on_error function is used to call the chroot(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_chroot(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the chroot(2) system call.

RETURN VALUE
The explain_chroot_or_die function only returns on success, see chroot(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_chroot_on_error function always returns the value return by the wrapped chroot(2) system call.

EXAMPLE
The explain_chroot_or_die function is intended to be used in a fashion similar to the following example:
    explain_chroot_or_die(pathname);

SEE ALSO

chroot(2)
    change root directory

explain_chroot(3)
    explain chroot(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller